Win3x.Org

Windows & DOS Community

Utiliser des logiciels d'aujourd'hui sous Windows 2000..

Répondre   Page 1 sur 14  [ 221 messages ]
Aller sur la page 1 2 3 4 514 »
Auteur Message
Big Monstro
Sujet du message : Utiliser des logiciels d'aujourd'hui sous Windows 2000..
Publié : 21 mars 2014 18:15
Administrateur
Avatar de l’utilisateur
Hors-ligne
 
Messages : 2976
Inscription : 27 juin 2003 15:15
PC Rétro : 80486 DX2/66, MS-DOS & Windows 95
 
Ancêtre direct de Windows XP, Windows 2000 a longtemps été considéré comme le meilleur OS de Microsoft : reprenant non seulement la stabilité de Windows NT 4.0, mais aussi la compatibilité avec DirectX et l'USB issue de Windows 98/Me, Windows 2000 avait tout pour plaire !

Mais vers 2006~2007, ATI et Nvidia cessèrent de publier des pilotes pour Windows 2000 ! D'autres fabricants de matériel les imitèrent, et ensuite, lentement mais surement, les principaux éditeurs de logiciels abandonnèrent son support (pas seulement Microsoft) : c'est alors que la vie commença à devenir de plus en plus dure pour les utilisateurs de Windows 2000... Depuis 2011, un Japonais surnommé blackwingcat développe KernelEx pour Windows 2000, un patch officieux ayant la même vocation que le projet éponyme pour Windows 98/Me, c'est-à-dire rendre le système compatible avec des logiciels conçus pour Windows XP :D

Je vous propose la révision 18f de KernelEx pour Windows 2000, réputée "stable" et disponible en anglais (une langue que vous êtes susceptibles de comprendre, contrairement au japonais). J'ai modifié l'installateur pour les système francophones :)

[ img ] Windows 2000 Extended Kernel Project v1.8f anglais, pour systèmes français

Prérequis système
Selon l'auteur, ces mises à jour doivent/devraient être installés avant KernelEx :
  1. Service Pack 4
  2. Internet Explorer 6 Service Pack 1
  3. Update Rollup 1 officiel v2 (serveur de Vorro, pas toujours disponible !)

    note: vous pouvez également télécharger ces mises à jour officielles sur le site de Windows Update

    Captures d'écran de l'installation
    [ img ]
    [ img ] [ img ]

    Vous devez redémarrer votre ordinateur pour que les modifications prennent effet.
    Vous pouvez ensuite supprimer les fichiers temporaires résiduels à %userprofile%/local settings/temp

    Pour plus d'informations:
    page dédiée sur MSFN (en anglais) => http://www.msfn.org/board/topic/149233- ... or-win2000
    J'ai installé cette révision avec succès sur les systèmes suivants :
    • PC physique de 1999, Pentium III 550 MHz
    • PC virtuel avec Microsoft Virtual PC 2007 SP1
    • PC virtuel avec Oracle VirtualBox 4.3.8
    :!: REMARQUES IMPORTANTES :!:
    1. Mes tests limités ne peuvent être considérés comme une preuve ultime de stabilité ! Ni moi-même, ni l'auteur, ne pourront être tenus responsables en cas de dommages sur votre ordinateur ! Vous assumez seuls les risques !
    2. Si l'installateur a été modifié, aucun fichier n'a été traduit. Ne soyez donc pas étonnés que l'application de ce patch rend votre système bilingue français/anglais... C'est normal et prévisible. Vous pouvez aisément revenir en arrière en désinstallant KernelEx
      edit du 8/9/2015 : le membre Viking a gracieusement retraduit quelques fichiers en français pour rétablir presque partout la langue d'origine de votre système:
    [fr] Fichiers KernelEx : shell32.dll, shlwapi.dll, user32.dll et win32k.sys (serveur de Vorro, pas toujours disponible !)


    Exemples d'applications compatibles grâce à KernelEx
    Cette liste de programmes vous donne une idée des possibilités offertes par KernelEx pour Windows 2000 :)

    Adobe Flash Player et Mozilla Firefox
    Bien que la fondation Mozilla ait abandonné la prise en charge des systèmes antérieurs à Windows XP SP2 depuis Firefox 13.0, la dernière version en date peut fonctionner à merveille sous Windows 2000 !

    Vous pouvez télécharger toutes les versions de Firefox à cette adresse :arrow: http://ftp.mozilla.org/pub/firefox/releases/

    Cependant, l'installation peut être refusée : le programme détecte que vous n'exécutez pas un OS supporté (KernelEx ne modifie pas le numéro de version du système d'exploitation). Heureusement, une simple modification du registre suffit à débloquer la situation
    Windows Registry Editor Version 5.00
    
    [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Image File Execution Options\Setup.exe]
    "ApplicationGoo"=hex:56,00,00,00,52,00,00,00,00,00,00,00,02,00,00,00,00,00,00,\
      00,01,00,00,00,4a,00,00,00,3c,fd,06,00,05,00,00,00,01,00,00,00,28,0a,00,00,\
      02,00,00,00,03,00,00,00,00,00,00,00,53,00,65,00,72,00,76,00,69,00,63,00,65,\
      00,20,00,50,00,61,00,63,00,6b,00,20,00,33,00,00,00,00
    Quant à Adobe Flash Player 12, l'installation se déroule tout à fait normalement.

    [ img ]


    Une illustration sur le site français jeuxvideo.com, où j'ai visionné une vidéo 720p du remake HD de Final Fantasy X (à l'époque, j'avais beaucoup apprécié le premier épisode sur PlayStation2).

    [ img ]

    Toutes les vidéos sur Youtube et DailyMotion sont lues sans histoire, peu importe la résolution choisie : à l'usage, le plugin Flash fonctionne exactement comme si vous étiez sous Windows XP SP3 ou supérieur ! Elle n'est pas belle la vie ?

    edit: depuis la création de ce topic, Firefox 30 et Flash Player 14 ont été publiés ; et le tout fonctionne encore.

    LibreOffice 4.2
    Grâce à KernelEx, la dernière version en date de LibreOffice fonctionne très bien sous Windows 2000. Toutefois, vous devez impérativement modifier l'installateur (par défaut, la présence de Windows XP ou ultérieur est vérifiée). Après avoir supprimé les entrées WrongWindowsVersion du package msi, à l'aide d'un éditeur tel que Microsoft Orca (voir cette image), LibreOffice s'installe sans histoire


    [ img ]


    Media Player Classic - Home Cinema
    Après avoir été abandonné en 2006, Media Player Classic renait de ses cendres avec cette déclinaison remaniée pour les cinéphiles (d'où le nom). A cause des fichiers DirectX qu'il intègre (issus du package de juin 2010), ce programme nécessite normalement Windows XP au minimum (au fait, Windows Vista est même requis pour activer certaines fonctionnalités avancées)

    KernelEx vous permet d'exécuter cet excellent logiciel sous Windows 2000 ; l'idéal pour profiter au mieux des joies de la haute définition ! (note: pour que ça fonctionne, il faut récupérer une version prête à l'emploi, au format 7z ou zip ; ce que le site officiel propose)

    [ img ]


    Opera 12.16 et supérieur
    Opera 12.16 est l'ultime révision au moteur Presto (si l'on omet Opera 12.17 sorti peu après). Grâce à KernelEx, ce logiciel peut s'installer et s'exécuter sans complication. En principe, Opera 12.02 est le dernier à pouvoir tourner sous Windows 2000.

    [ img ]

    edit: depuis la création de ce topic, j'ai réussi à faire fonctionner (correctement) Opera 22.0 sous Windows 2000, bien qu'il soit basé sur le moteur de Google Chrome ! L'astuce ? Sachant que l'installateur plante en cours de route, vous devez simplement décompresser le fichier d'installation d'origine (en lançant l'installateur), copier/coller le répertoire temporaire et enfin arrêter le processus d'installation. Il est possible d'exécuter Opera à partir du répertoire créé, comme s'il s'agissait d'une version "portable".

    [ img ]


    SumatraPDF
    Voici un logiciel qui mériterait d'être plus connu. Très performant et léger (bien plus que FoxitReader et Adobe Reader), SumatraPDF est l'outil idéal pour consulter tous vos documents PDF. Possibilité d'installer également un plugin PDF pour Firefox et Opera.

    SumatraPDF prenait en charge Windows 2000 jusqu'à la révision 1.6 publié en 2011. KernelEx vous permet de profiter de la dernière version en date, qui inclut de nombreuses optimisations pour une fluidité encore améliorée.

    [ img ]


    VLC 2.x
    Logiciel de lecture audio/video assez connu, VLC ne supporte plus Windows 2000 depuis la version 2.0. Mais KernelEx permet de résoudre cette incompatibilité. Comme Media Player Classic Home Cinema, une version prête à l'emploi (sans installation) est disponible sur le site officiel.

    [ img ]


    WinRAR 5.x
    Est-il nécessaire de présenter ce célèbre logiciel de compression, qui fut la référence dans le domaine pendant des années ?

    Officiellement, WinRAR 4.11 est la dernière version fonctionnelle pour Windows 2000 (Windows 9x/NT ayant été abandonné après WinRAR 3.93). Lorsqu'on tente d'installer WinRAR 4.20 ou supérieur, et même lorsqu'on ouvre une archive autoextractible créée par ces mêmes versions, un message d'erreur apparait (application Win32 non valide). Après l'application de KernelEx, le dernier WinRAR en date devient parfaitement compatible.

    Ce changement n'est pas anodin : il est possible de lire des archives au format RAR5, et même d'en créer, sur un ordinateur exécutant Windows 2000 ! Pour plus d'infos sur le format RAR5, voir cet article : http://fr.softonic.com/articles/rar5-le ... -que-7-zip

    [ img ]


Dernière modification par Big Monstro le 14 sept. 2016 16:20, modifié 7 fois.

Haut
Profil Citer
fanordi
Sujet du message : Re: Utiliser des logiciels d'aujourd'hui sous Windows 2000..
Publié : 21 mars 2014 19:23
Membre d'honneur
Avatar de l’utilisateur
Hors-ligne
 
Messages : 3120
Inscription : 01 janv. 2012 12:18
PC Rétro : Apple iBook G3
 
Sympa ton tuto, merci. J'essaierais bientôt.

_________________

Apple MacBook Pro mi 2012: Intel Core i7 2x2.9 GHz, 8 go DDR3, SSD Crucial MX500 500 go, macOS High Sierra 10.13.6
Apple iPhone 6S 32 Go gris sidéral, iOS 11.4.1 (2015)
Apple iPod Nano caméra 5G 16 Go bleu (2009)
Apple iBook G3 Dual USB, 256 mo SDRAM PC133, HDD 10 Go, Mac OS X 10.4.11 Tiger (2001)


Haut
Profil Citer
groschatdesmontagnes
Sujet du message : Re: Utiliser des logiciels d'aujourd'hui sous Windows 2000..
Publié : 21 mars 2014 23:07
Membre inscrit
Avatar de l’utilisateur
Hors-ligne
 
Messages : 156
Inscription : 02 avr. 2013 02:00
PC Rétro : PII 233MHz MMX ram 256 mo CG 1mo, HDD 8Go Win 98FE
 
Des fois je vénère les japonnais.

J'utilise Kernelx sur 98 perso et c'est déjà merveilleux.
On va tester sur 2000 voir ce que je peux en faire :)

_________________

Si quand tu vas pisser la lumière s'allume toute seule, c'est que tu pisses dans ton frigo !


Haut
Profil Citer
valentin57
Sujet du message : Re: Utiliser des logiciels d'aujourd'hui sous Windows 2000..
Publié : 21 mars 2014 23:53
Membre inscrit
Avatar de l’utilisateur
Hors-ligne
 
Messages : 1206
Inscription : 23 déc. 2007 12:12
PC Rétro : Compaq Contura Aero 4/25 80486 SX 25 4Mo 250Mo
 
Salut,

Sur ma VM windows 2000 pro SP4, j'ai créer un .reg avec le contenu de ton code, et celà ne fonctionne toujours pas, que faire?

Je tente le reboot pour voir.

http://zupimages.net/up/14/12/aelr.png

_________________

Mes périphériques (PC et smartphones): ici


Haut
Profil Citer
Big Monstro
Sujet du message : Re: Utiliser des logiciels d'aujourd'hui sous Windows 2000..
Publié : 21 mars 2014 23:57
Administrateur
Avatar de l’utilisateur
Hors-ligne
 
Messages : 2976
Inscription : 27 juin 2003 15:15
PC Rétro : 80486 DX2/66, MS-DOS & Windows 95
 
valentin57 a écrit :
Salut,

Sur ma VM windows 2000 pro SP4, j'ai créer un .reg avec le contenu de ton code, et celà ne fonctionne toujours pas, que faire?

Je tente le reboot pour voir.
Je suppose que tu fais allusion à Firefox 28.0...

1) As-tu installé KernelEx préalablement (sinon, c'est normal que ça ne fonctionne pas du tout) ?
2) As-tu bien téléchargé la version pour Windows 32-bit (sinon, c'est aussi logique que ça ne marche) ?

:arrow: http://ftp.mozilla.org/pub/mozilla.org/ ... 2028.0.exe


Haut
Profil Citer
valentin57
Sujet du message : Re: Utiliser des logiciels d'aujourd'hui sous Windows 2000..
Publié : 21 mars 2014 23:59
Membre inscrit
Avatar de l’utilisateur
Hors-ligne
 
Messages : 1206
Inscription : 23 déc. 2007 12:12
PC Rétro : Compaq Contura Aero 4/25 80486 SX 25 4Mo 250Mo
 
Je crois que j'avais zappé un truc avec la fatigue :mrgreen: Mais quand je tente d'installer KernelEx hmm j'ai le droit a une belle erreur "This program requires Windows 98 or Windows Millennium". J'ai téléchargé la version du programme ici mais j'ai zappé l'install de KernelEx qui m'envoi de toute façon vers une erreur ^^ Je vais regarder ça demain calmement :)

Merci

_________________

Mes périphériques (PC et smartphones): ici


Haut
Profil Citer
Big Monstro
Sujet du message : Re: Utiliser des logiciels d'aujourd'hui sous Windows 2000..
Publié : 22 mars 2014 00:02
Administrateur
Avatar de l’utilisateur
Hors-ligne
 
Messages : 2976
Inscription : 27 juin 2003 15:15
PC Rétro : 80486 DX2/66, MS-DOS & Windows 95
 
valentin57 a écrit :
"This program requires Windows 98 or Windows Millennium"
C'est juste impossible :roll: Ce programme n'est absolument pas conçu pour Windows 98/Me.

En fait, le fichier téléchargé via ce topic ne devrait même pas s'exécuter sous Windows 98/Me (puisque j'ai recompacté les fichiers avec WinRAR 4.11, incompatible normalement avec Windows 9x)


Haut
Profil Citer
valentin57
Sujet du message : Re: Utiliser des logiciels d'aujourd'hui sous Windows 2000..
Publié : 22 mars 2014 00:03
Membre inscrit
Avatar de l’utilisateur
Hors-ligne
 
Messages : 1206
Inscription : 23 déc. 2007 12:12
PC Rétro : Compaq Contura Aero 4/25 80486 SX 25 4Mo 250Mo
 
Enfaite j'ai un "KernelEx-4.5.2.exe" qui refuse de s'installer en m'indiquant cette erreur, après je n'ai peut être pas le bon fichier où je fais n'importe quoi :) Je pense que si j'ai bien compris il faut installer le "KernelEx-4.5.2.exe" puis ta mise à jour :P

_________________

Mes périphériques (PC et smartphones): ici


Haut
Profil Citer
Big Monstro
Sujet du message : Re: Utiliser des logiciels d'aujourd'hui sous Windows 2000..
Publié : 22 mars 2014 00:10
Administrateur
Avatar de l’utilisateur
Hors-ligne
 
Messages : 2976
Inscription : 27 juin 2003 15:15
PC Rétro : 80486 DX2/66, MS-DOS & Windows 95
 
Citation :
Enfaite j'ai un "KernelEx-4.5.2.exe" qui refuse de s'installer en m'indiquant cette erreur, après je n'ai peut être pas le bon fichier où je fais n'importe quoi :) Je pense que si j'ai bien compris il faut installer le "KernelEx-4.5.2.exe" puis ta mise à jour :P
Désolé, mais là... tu n'as strictement rien compris :lol: Il ne faut pas négliger son sommeil !

Soyons clair: KernelEx pour Windows 2000 ici présent n'a aucun lien avec KernelEx pour Windows 98/Me (hormis le nom et le concept général : rendre l'OS compatible avec des logiciels pour Windows XP).

Tu ne dois pas installer KernelEx 4.5.2 sous Windows 2000, ça n'a rien à voir :roll:

Prérequis pour KernelEx v18/1.8 pour Windows 2000:
  1. Service Pack 4 (le dernier publié pour cet OS)
  2. Update Rollup 1 officiel
  3. Internet Explorer 6 SP1
blackwingcat a écrit :
If you want to try v1.8 kernel, the requirement is IE6 SP1 and SP4 SRP1 only.
edit : je viens de le revérifier. Mon code pour la base des registres est parfaitement conforme. Après avoir installé KernelEx (POUR WINDOWS 2000 !!!), il suffit d'appliquer cette modification du registre pour pouvoir installer Mozilla Firefox 13.0 et supérieur.


Dernière modification par Big Monstro le 22 mars 2014 00:30, modifié 2 fois.

Haut
Profil Citer
valentin57
Sujet du message : Re: Utiliser des logiciels d'aujourd'hui sous Windows 2000..
Publié : 22 mars 2014 00:19
Membre inscrit
Avatar de l’utilisateur
Hors-ligne
 
Messages : 1206
Inscription : 23 déc. 2007 12:12
PC Rétro : Compaq Contura Aero 4/25 80486 SX 25 4Mo 250Mo
 
Ha daccord je vois ca demain merci pour ton aide :) effectivement je manque de sommeil et ca me joue de mauvais tours lol

_________________

Mes périphériques (PC et smartphones): ici


Haut
Profil Citer
valentin57
Sujet du message : Re: Utiliser des logiciels d'aujourd'hui sous Windows 2000..
Publié : 22 mars 2014 12:53
Membre inscrit
Avatar de l’utilisateur
Hors-ligne
 
Messages : 1206
Inscription : 23 déc. 2007 12:12
PC Rétro : Compaq Contura Aero 4/25 80486 SX 25 4Mo 250Mo
 
Bonjour à tous,

Désolé du double post :oops: , mais j'ai un petit souci, j'ai installé le pack Update Rollup 1 officiel OK, le SP4 était déja installé, mais dès qu'il s'agit d'installer IE6 SP1, là sa se corse, je l'ai bien pris sur ce site et pourtant...

http://zupimages.net/up/14/12/semf.png

http://zupimages.net/up/14/12/hnmi.png

_________________

Mes périphériques (PC et smartphones): ici


Haut
Profil Citer
maxdata63
Sujet du message : Re: Utiliser des logiciels d'aujourd'hui sous Windows 2000..
Publié : 22 mars 2014 13:55
Membre d'honneur
Avatar de l’utilisateur
Hors-ligne
 
Messages : 1272
Inscription : 03 oct. 2012 18:56
 
Passe par windows update pour internet explorer !


Haut
Profil Citer
Jajan
Sujet du message : Re: Utiliser des logiciels d'aujourd'hui sous Windows 2000..
Publié : 23 mars 2014 12:12
Membre d'honneur
Avatar de l’utilisateur
Hors-ligne
 
Messages : 1055
Inscription : 01 mai 2010 19:44
PC Rétro : Mon boulier !
 
Peut-on mettre Internet Explorer 7 ou 8 sur Windows 2000 ? :roll:
Je parie que non...

_________________

>>> http://internetometer.com/give/46797
Άγαθῇ τύχῃ
HowTea : Ƹ̵̡Ӝ̵̨̄Ʒ


Haut
Profil Citer
phildu80
Sujet du message : Re: Utiliser des logiciels d'aujourd'hui sous Windows 2000..
Publié : 23 mars 2014 12:18
Membre inscrit
Avatar de l’utilisateur
Hors-ligne
 
Messages : 746
Inscription : 25 avr. 2007 02:00
 
On peut toujours tester, ça peut être fonctionné :)


Haut
Profil Citer
Big Monstro
Sujet du message : Re: Utiliser des logiciels d'aujourd'hui sous Windows 2000..
Publié : 23 mars 2014 12:23
Administrateur
Avatar de l’utilisateur
Hors-ligne
 
Messages : 2976
Inscription : 27 juin 2003 15:15
PC Rétro : 80486 DX2/66, MS-DOS & Windows 95
 
valentin57 a écrit :
j'ai un petit souci, j'ai installé le pack Update Rollup 1 officiel OK, le SP4 était déja installé, mais dès qu'il s'agit d'installer IE6 SP1, là sa se corse, je l'ai bien pris sur ce site et pourtant...
Il y a une erreur effectivement: le lien miroir "Megatipouss" permet de télécharger les fichiers d'installation d'IE6 SP1 pour Windows 98 uniquement...

edit: clarification du premier message, je mentionne désormais les prérequis conseillés/exigés pour KernelEX de Windows 2000 (dans la partie cachée aux invités :mrgreen:).
Jajan a écrit :
Peut-on mettre Internet Explorer 7 ou 8 sur Windows 2000 ? Je parie que non...

Quel est l'intérêt d'installer IE7 ou IE8 si on peut utiliser des navigateurs bien plus évolués ? En l’occurrence Opera 12.16 et Firefox 28.0 (la dernière version du navigateur de Mozilla au moment d'écrire ces lignes !)


Haut
Profil Citer
valentin57
Sujet du message : Re: Utiliser des logiciels d'aujourd'hui sous Windows 2000..
Publié : 23 mars 2014 12:53
Membre inscrit
Avatar de l’utilisateur
Hors-ligne
 
Messages : 1206
Inscription : 23 déc. 2007 12:12
PC Rétro : Compaq Contura Aero 4/25 80486 SX 25 4Mo 250Mo
 
Je précise que Windows Update ne veut pas fonctionner sur Windows 2000. :)

_________________

Mes périphériques (PC et smartphones): ici


Haut
Profil Citer
Afficher : Trier par : Ordre :
Répondre   Page 1 sur 14  [ 221 messages ]
Revenir à « Informatique moderne » | Aller sur la page 1 2 3 4 514 »
Aller :